commit: f9e9b083da35ae4c8100f703940717820c7f0f47
Author: William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 23 19:29:46 2018 +0000
Commit: William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Sun Sep 23 19:31:15 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f9e9b083
dev-util/meson: 0.48.0 bump
Package-Manager: Portage-2.3.49, Repoman-2.3.10
dev-util/meson/Manifest | 1 +
dev-util/meson/meson-0.48.0.ebuild | 39 ++++++++++++++++++++++++++++++++++++++
2 files changed, 40 insertions(+)
diff --git a/dev-util/meson/Manifest b/dev-util/meson/Manifest
index b8f43f319a4..6fdebfa5af7 100644
--- a/dev-util/meson/Manifest
+++ b/dev-util/meson/Manifest
@@ -1,2 +1,3 @@
DIST meson-0.46.1.tar.gz 1203731 BLAKE2B
3b6b78e24a4d1ff3166db5546dda80e8b29236babec51fd5f1e70ba4139f13c4e7b6d2985daccf9ef1bc2e33516b1278ab9c9ea4c7fce775d187450c2498dc76
SHA512
beacd5431f9d6abd85a72b2609cbd913f67829b2eef4712a5b9a151e2d0cad6e2c16b5e42819b93f986705305ed874d26211c315aa930b1695552a9e30de8b98
DIST meson-0.47.1.tar.gz 1250211 BLAKE2B
a1ef5852b432e6856733c25a7ccd225f1a9ff2d1a8f65a38375d13c2c1d93d8e756b2cc2d3528783f18b90598e3f056363822d2400773369457d0801a6e3dd58
SHA512
e5042f0553057eb3a723fd2e17994ff05c2856c0dc22f39f5c5eb68fb56281894a5d13fe9f2e0852b4c934f3f3cbc41e0639ff25db4ab9f352eff95e7d552b8b
+DIST meson-0.48.0.tar.gz 1307251 BLAKE2B
cafae408a219a8f31b756cae28178480eeadac877a6a694c1369c7524b68b88e606d51823aacde177410fd97c1ad14793a11a6d1a1a97c131d33b1014ca2d5f9
SHA512
99ba4ca4899a3174803e41fe5a010d4be304cf85d7392107c2a6ad65f03d758382b1b9104a0cc54bf6fdba28e7742ecd2b0c299d43be3a66fb1381b77418036b
diff --git a/dev-util/meson/meson-0.48.0.ebuild
b/dev-util/meson/meson-0.48.0.ebuild
new file mode 100644
index 00000000000..a02f93d684e
--- /dev/null
+++ b/dev-util/meson/meson-0.48.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python3_{5,6} )
+
+if [[ ${PV} = *9999* ]]; then
+ EGIT_REPO_URI="https://github.com/mesonbuild/meson"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64
~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x64-macos ~x64-solaris"
+fi
+
+inherit distutils-r1
+
+DESCRIPTION="Open source build system"
+HOMEPAGE="http://mesonbuild.com/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+RESTRICT="test"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND=""
+
+python_test() {
+ ${EPYTHON} run_tests.py || die
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ insinto /usr/share/vim/vimfiles
+ doins -r data/syntax-highlighting/vim/{ftdetect,indent,syntax}
+ insinto /usr/share/zsh/site-functions
+ doins data/shell-completions/zsh/_meson
+}